.bra when (@border-radius > 0) {
    border-radius: @border-radius;
}

.brt when (@border-radius > 0) {
    border-radius: @border-radius @border-radius 0 0;
}

.brr when (@border-radius > 0) {
    border-radius: 0 @border-radius @border-radius 0;
}

.brb when (@border-radius > 0) {
    border-radius: 0 0 @border-radius @border-radius;
}

.brl when (@border-radius > 0) {
    border-radius: @border-radius 0 0 @border-radius;
}

.b {
    border: @border-width solid rgba(0, 0, 0, 0);
}

.bt {
    border-top: @border-width solid rgba(0, 0, 0, 0);
}

.br {
    border-right: @border-width solid rgba(0, 0, 0, 0);
}

.bb {
    border-bottom: @border-width solid rgba(0, 0, 0, 0);
}

.bl {
    border-left: @border-width solid rgba(0, 0, 0, 0);
}

.bc {
    border-color: @border-color;
    ._invert & {
        border-color: @border-color-invert;
    }
}
